<blockquote>
{if $action=='add'}
	<form action="{$smarty.server.PHP_SELF}" method="post" id="data_form" onSubmit="return CheckForm();" enctype="multipart/form-data">
	<input type="hidden" name="action" value="add">
	<table border="0" width="70%">
	<tr>
		<td>Из:</td> 
		<td>
			<select name="curr_from_id">
				{html_options values=$ex_currs_ids selected=$curr output=$ex_currs_names}
	        </select>
		</td>
	</tr>
	<tr>
		<td>В:</td> 
		<td>
			<select name="curr_to_id">
				{html_options values=$ex_currs_ids selected=$curr output=$ex_currs_names}
	        </select>
		</td>
	</tr>

	
			
		 <tr>
		<td>&nbsp;</td>
		<td>
			<input type="submit" name="subm" value="Продолжить" size="50">&nbsp;&nbsp;
			<input type="button" name="cancel" value="Отмена" onClick="document.location.href='./index.php?l_pager';"></td>
	  </tr>
	</table>
	</form>
	<script language="javascript">
	CountCourses();
	</script>

{else}
	{literal}
	<script language="javascript">
	function CheckForm(){
		var reg = new RegExp("^[+-]?[0-9]+\.?[0-9]*$");
		if(!reg.test(document.all.data_form.min_amount.value)){
			alert("Укажите правильно минимальную сумму обмена, пожалуйста.");
			document.all.data_form.min_amount.focus();
			return false;
		}
		if(!reg.test(document.all.data_form.max_amount.value)){
			alert("Укажите правильно максимальную сумму обмена, пожалуйста.");
			document.all.data_form.max_amount.focus();
			return false;
		}
		var radioGroups = document.all.data_form.init_value_form;
		if(!(radioGroups[0].checked || radioGroups[1].checked)){
			alert("Выберите тип значения по умолчанию(radio button).");
			return false;
		}
		if(!reg.test(document.all.data_form.init_value_in.value)){
			alert("Укажите правильно начальную сумму в поле \"отдадите\" или поставьте 0, пожалуйста.");
			document.all.init_value_in.focus();
			return false;
		}
		if(!reg.test(document.all.data_form.init_value_out.value)){
			alert("Укажите правильно начальную сумму в поле \"получите\" или поставьте 0, пожалуйста.");
			document.all.init_value_out.focus();
			return false;
		}
	
		var radioGroups = document.all.data_form.formula_type;
		if(!(radioGroups[0].checked || radioGroups[1].checked)){
			alert("Выберите способ расчета курса(radio button).");
			return false;
		}
	
		if(!reg.test(document.all.data_form.formula_value.value)){
			alert("Укажите правильно значение точного курса или поставьте 0, пожалуйста.");
			document.all.formula_value.focus();
			return false;
		}
	
		if(!reg.test(document.all.data_form.formula_perc.value)){
			alert("Укажите правильно значение % при расчете курса или поставьте 0, пожалуйста.");
			document.all.formula_perc.focus();
			return false;
		}
	
		if(!reg.test(document.all.data_form.formula_fix.value)){
			alert("Укажите правильно фиксированную добавку при расчете курса или поставьте 0, пожалуйста.");
			document.all.formula_fix.focus();
			return false;
		}
	
	
		var reg = new RegExp("^0|1$");
		if(!reg.test(document.all.data_form.stat.value)){
			alert("Укажите статус, пожалуйста.");
			document.all.data_form.stat.focus();
			return false;
		}
	
		return true;
	}
	
	function CountCourses(){
	{/literal}
		var ex_rate = {$exchange_rate}
		var prec = {$course_prec};
		var ps_comission = {$include_ps_comission_value}
	{literal}	
		var formula_course = 0;
		var course = 0;
		
		var radioGroups = document.all.data_form.formula_type;
		
		var fix_course = document.all.data_form.formula_value.value;
		var dyn_course = ex_rate*(1+document.all.data_form.formula_perc.value/100) + 1*document.all.data_form.formula_fix.value;	
		
		if(radioGroups[0].checked){
			formula_course = fix_course;
		}
		else{
			formula_course = dyn_course;	
		}
		document.all.data_form.formula_count_value.value = 	Math.round(prec*dyn_course)/prec;
		
		course = document.all.data_form.include_ps_comission.checked ? formula_course  / (1+ps_comission) :formula_course;
		document.all.data_form.course.value = 	Math.round(prec*course)/prec;
		return false;
	}
	</script>
	{/literal}
	
	<form action="{$smarty.server.PHP_SELF}" method="post" id="data_form" onSubmit="return CheckForm();" enctype="multipart/form-data">
	
	<input type="hidden" name="id" value="{$id}">
	<table border="0" width="70%">
				<tr>
				<td width="20%">ID направления:</td> <td><b>{$id}</b><input type=hidden name=id value="{$id}"></td>
			</tr>
					<tr>
				<td>
				
				Из:</td> <td> <strong>{$currency_from_name} [ID {$currency_from_id}]</strong> <a href="../excurr/add.php?id={$currency_from_id}" target="_blank">редактировать</a></td>
			</tr>
					<tr>
				<td>В:</td> <td><strong>{$currency_to_name} [ID {$currency_to_id}]</strong> <a href="../excurr/add.php?id={$currency_to_id}" target="_blank">редактировать</a></td>
			</tr>
	<tr>
	<td colspan="2">
	<b>Общие настройки</b>
	<hr style="border-color:#999999;border-style:double; height:1px;">
	</td>
	</tr>
			<tr>
				<td valign="top">Мим. - макс. сумма обмена:</td> <td><input type="text" size=10 style="text-align:center" class="text_input" name="min_amount" value="{$min_amount}" > - <input type="text" size=10 style="text-align:center" class="text_input" name="max_amount" value="{$max_amount}" > {$currency_from_name} ({$currency_from_symbol})
				<br>
				Обратите внимание на то, что значения выставляются в валюте, которую отдает клиент.
				</td>
			</tr>
	
			<tr>
				<td valign="top">Значение "по умолчанию":</td> 
				<td>
	
					<table>
						<tr>
							<td><input type="radio" style="border:0;" name="init_value_form" value="in" id="ivi" {if $init_value_form eq 'in'}checked{/if}><label for="ivi">поле "отдадите"</lable></td><td><input type="text" size=10 style="text-align:center" class="text_input" name="init_value_in" value="{$init_value_in}"> {$currency_from_name} ({$currency_from_symbol})</td>
						</tr>
						<tr>
							<td><input type="radio" style="border:0;" name="init_value_form" value="out" id="ivo" {if $init_value_form eq 'out'}checked{/if}><label for="ivo">поле "получите"</lable></td><td><input type="text" size=10 style="text-align:center" class="text_input" name="init_value_out" value="{$init_value_out}"> {$currency_to_name} ({$currency_to_symbol})</td>
						</tr>
					</table>
				
				
				</td>
			</tr>
	
			<tr>
				<td valign="top">Статус направления:</td> <td><select name="stat" ><option value="1" {if $stat==1}selected{/if}>Активный<option value="0" {if $stat==0}selected{/if}>Не активный</select>
				<br>
				Опция отображает, доступно ли направление для обмена.
				</td>
			</tr>
	
	
	<tr>
	<td colspan="2">
	<b>Расчет курса</b>
	<hr style="border-color:#999999;border-style:double; height:1px;">
	</td>
	</tr>
	
			
			<tr>
				<td valign="top">Базовое значение курса(без учета сторонних комиссий):</td> 
				<td>
					<table>
						<tr>
							<td><input type="radio"  onClick="CountCourses();" style="border:0;" name="formula_type" value="value" id="ftv" {if $formula_type eq 'value'}checked{/if}><label for="ftv">точное значение</lable></td><td> <input type="text" size=10 style="text-align:center" class="text_input" name="formula_value" value="{$formula_value}" onChange="CountCourses();" onkeyup="CountCourses();" onblur="CountCourses();"></td>
						</tr>
						<tr>
							<td><input type="radio"  onClick="CountCourses();" style="border:0;" name="formula_type" value="formula" id="ftf" {if $formula_type eq 'formula'}checked{/if}><label for="ftf">формула</lable></td>
							<td>
							
							<input type="text" size=10 style="text-align:center" class="text_input" name="formula_count_value" value="-" disabled> = ВАЛЮТНЫЙ КУРС(<strong>{$exchange_rate}</strong>) + <input type="text" size=10 style="text-align:center" class="text_input" name="formula_perc" value="{$formula_perc}" onChange="CountCourses();" onkeyup="CountCourses();" onblur="CountCourses();"> % + <input type="text" size=10 style="text-align:center" class="text_input" name="formula_fix" value="{$formula_fix}" onChange="CountCourses();" onkeyup="CountCourses();" onblur="CountCourses();">
							
							</td>
						</tr>
					</table>
				</td>
			</tr>
	
			<tr>
				<td valign="top">Учитывать комиссию платежных систем:</td> 
				<td>
					<input onClick="CountCourses();" type="checkbox" name="include_ps_comission" style="border:0;" {if $include_ps_comission==1}checked{/if} value="1"> 
					
					{if $from_ps_whopay == 1}
						{$from_ps_comission*100}% {$currency_from_name}
					{/if}
					{if $from_ps_whopay == 1 && $to_ps_whopay == 0}
					+
					{/if}
					{if $to_ps_whopay == 0}
						{$to_ps_comission*100}% {$currency_to_name}
					{/if}
					
				</td>
			</tr>
	
			<tr>
				<td valign="top"><strong>Итоговое значение курса:</strong></td> <td><input type="text" size=10 style="text-align:center" class="text_input" name="course" value="{$course}" >
				<br>
				Значение курса, по которому будет производится обмен по формуле "ПОЛУЧИТЕ = КУРС * ОТДАДИТЕ".
				</td>
			</tr>
			<tr>
				<td valign="top">Текущее значение курса:</td> <td><input type="text" size=10 style="text-align:center; border-color:#FF0000" class="text_input" name="current_course" value="{$current_course+0}" disabled>&nbsp;Выставлен {$current_course_date}. Лог: {$current_course_method}
				</td>
			</tr>
	
	<tr>
	<td colspan="2">
	<hr style="border-color:#999999;border-style:double; height:1px;">
	</td>
	</tr>
	
			
		 <tr>
		<td>&nbsp;</td>
		<td>
			<input type="submit" name="subm" value="Сохранить" size="50">&nbsp;&nbsp;
			<input type="button" name="cancel" value="Отмена" onClick="document.location.href='./index.php?l_pager';"></td>
	  </tr>
	</table>
	</form>
	<script language="javascript">
	CountCourses();
	</script>
{/if}	
</blockquote>
